import request from '@/utils/request'

// 创建任务类型
export function createTaskCate(data) {
  return request({
    url: '/farm/task-cate/create',
    method: 'post',
    data: data
  })
}

// 更新任务类型
export function updateTaskCate(data) {
  return request({
    url: '/farm/task-cate/update',
    method: 'put',
    data: data
  })
}

// 删除任务类型
export function deleteTaskCate(id) {
  return request({
    url: '/farm/task-cate/delete?id=' + id,
    method: 'delete'
  })
}

// 获得任务类型
export function getTaskCate(id) {
  return request({
    url: '/farm/task-cate/get?id=' + id,
    method: 'get'
  })
}

// 获得任务类型分页
export function getTaskCatePage(query) {
  return request({
    url: '/farm/task-cate/page',
    method: 'get',
    params: query
  })
}

// 导出任务类型 Excel
export function exportTaskCateExcel(query) {
  return request({
    url: '/farm/task-cate/export-excel',
    method: 'get',
    params: query,
    responseType: 'blob'
  })
}
